aboutsummaryrefslogtreecommitdiffstats
path: root/tests/integration/validate-setup.sh
diff options
context:
space:
mode:
authorYujun Zhang <zhang.yujunz@zte.com.cn>2017-04-30 09:00:37 +0800
committerYujun Zhang <zhang.yujunz@zte.com.cn>2017-04-30 09:01:32 +0800
commit4a01c0eeb1c31239b9194999997210e04b437ddd (patch)
treed4acf3a22cf00569cbf8604c4c0938c4801537dd /tests/integration/validate-setup.sh
parent5e8a66c2d8e6c7c5b04321379fd25a8c0604098a (diff)
Copy integration test scripts from releng/jjb/qtip
- it is better to manage these builder scripts in project instead of releng - releng shall keep only the job scheduler and publisher Change-Id: Idf8685427d8d24b1da83f31afdc7c640c0af2e5f Signed-off-by: Yujun Zhang <zhang.yujunz@zte.com.cn>
Diffstat (limited to 'tests/integration/validate-setup.sh')
-rw-r--r--tests/integration/validate-setup.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/integration/validate-setup.sh b/tests/integration/validate-setup.sh
new file mode 100644
index 00000000..8d84e120
--- /dev/null
+++ b/tests/integration/validate-setup.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+##############################################################################
+# Copyright (c) 2017 ZTE and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+# setup virtualenv
+sudo pip install -u virtualenv virtualenvwrapper
+export WORKON_HOME=$HOME/.virtualenvs
+source /usr/local/bin/virtualenvwrapper.sh
+mkvirtualenv qtip
+workon qtip
+
+# setup qtip
+sudo pip install $HOME/repos/qtip
+
+# testing
+qtip --version
+qtip --help